
from constants import *
import math

def coord(x,y):
    "Convert world coordinates to pixel coordinates."
    return PIXELS_PER_METER*x, PIXELS_PER_METER*y


def inv_coord(x,y):
    return x*1.0 / PIXELS_PER_METER,  y*1.0/PIXELS_PER_METER


def rotMatrix(angle):
    angle = math.radians(angle)
    matrix = [0] * 9
    matrix[0] = math.cos(angle)
    matrix[1] = -1 * math.sin(angle)

    matrix[3] = math.sin(angle)
    matrix[4] = math.cos(angle)

    matrix[8] = 1.0

    return matrix

