
from ODEObject import ODEObject

from Box import Box

import ode
import math 

from constants import *


class  Spinner(Box):

    def __init__(self,world,space,list, pos=(0,0), size = (.1,.2,.1), color=(1,1,1,1),reverse=False):
        Box.__init__(self,world,space,list, pos, size , color)

        self.spinJoint = ode.HingeJoint(world)
        self.spinJoint.attach(self.body,ode.environment)
        self.spinJoint.setAnchor( (pos[0] - size[0]*.4,pos[1],0) )
        self.spinJoint.setAxis( (0,0,1) )

        dir = 1
        if reverse:
            dir = -1

        self.spinJoint.setParam(ode.ParamVel, 2*dir)
        self.spinJoint.setParam(ode.ParamFMax, 22000)
